at (3.2.5-2.2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Replace Recommends on "default-mta | mail-transport-agent" with
      Suggests to prevent this seeded package from pulling in an MTA on
      Ubuntu by default (LP: #1968874).
    - d/tests/basic-usage
      fix possible race condition in test case by scheduling further into the
      future, also ensure UTC timestamps are generated, and finally fix
      incorrect test for resultant output file

 -- John Chittum <john.chittum@canonical.com>  Mon, 02 Jun 2025 12:01:57 -0400

at (3.2.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure /etc/{init,pam}.d/atd are owned by root, even when built
    without fakeroot. (Closes: #1104701)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 May 2025 23:01:38 +0200

at (3.2.5-2.1ubuntu4) plucky; urgency=medium

  * debian/tests/basic-usage: fix possible race-condition in test case by
    scheduling further into the future, also ensure UTC timestamps are
    generated and finally fix incorrect test for resultant output file

 -- Alex Murray <alex.murray@canonical.com>  Mon, 18 Nov 2024 22:18:54 +1030

at (3.2.5-2.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:24:54 +1100

at (3.2.5-2.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpam0g.

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Mar 2024 13:12:05 +0000

at (3.2.5-2.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040367). Remaining changes:
    - Replace Recommends on "default-mta | mail-transport-agent" with
      Suggests to prevent this seeded package from pulling in an MTA on
      Ubuntu by default (LP #1968874).

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Fri, 09 Feb 2024 16:07:33 -0700

at (3.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Defer placement of systemd units to systemd.pc. (Closes: #1054012)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 18 Dec 2023 03:33:04 +0100

at (3.2.5-2) unstable; urgency=medium

  * Fix a race condition on DEP8 test?

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 25 Jun 2023 22:46:36 +0100

at (3.2.5-1ubuntu1) jammy; urgency=medium

  * Replace Recommends on "default-mta | mail-transport-agent" with
    Suggests to prevent this seeded package from pulling in an MTA on
    Ubuntu by default (LP: #1968874).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 14 Apr 2022 01:23:36 +0100

at (3.2.5-1) unstable; urgency=medium

  * Fix: atd forgets to run a job in the queue (Closes: #1004972), thank
    you Vincent Lefevre for the analisys and the fix.

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 05 Feb 2022 10:03:59 +0000

at (3.2.4-2) unstable; urgency=medium

  * No errors on experimental means unstable now.

 -- Jose M Calhariz <calhariz@debian.org>  Wed, 02 Feb 2022 20:47:17 +0000

at (3.2.4-1) experimental; urgency=medium

  * New release 3.2.3
    * Jose M Calhariz
      - Fix two typos on documentation
    * Giulio Benetti
      MR14 - Makefile: fix parallel build failure
      MR12 - Makefile.in: use DESTDIR instead of IROOT
      MR11 - Use quotes to include config.h since it is a local file.
      MR8 - .gitignore: add all files produced during building
      MR13 - getloadavg: use standard fcntl.h for open(), close(), read() and write()
    * Danilo Spinella
      MR16 - Fix leaks in at.c
      MR19 - Avoid sleeping when SIGHUP has been received
      MR17 - Set PIDDIR to /run if exists on the system
    * Jan Staněk
      MR15 - Address issues raised by static analysis

  * New release at 3.2.4 (2022-01-29):
    * Danillo Spinella
      - Use POSIX timers to wait on next job
      - Add timeformat argument in at.c
      - Use secure_getenv when available
      - Add O_SYNC option when opening atjob file
      - Fix mtime check in atd.c
        https://bugzilla.suse.com/show_bug.cgi?id=680113
      - MR18 - Use POSIX timers to wait on next job
        Upstreaming openSUSE patch: https://build.opensuse.org/package/view_file/Base:System/at/at-3.1.14-usePOSIXtimers.patch?expand=0&rev=d84f9fe442d5b5cce89c22d52581dfa4
      - MR21 - Add timeformat argument in at.c
        Upstreaming openSUSE patch: https://build.opensuse.org/package/view_file/Base:System/at/at-atq-timeformat.patch?expand=1
      - MR23 - Use secure_getenv when available
        https://build.opensuse.org/package/view_file/Base:System/at/at-secure_getenv.patch?expand=1
        - MR25 - Fix mtime check in atd.c
          https://bugzilla.suse.com/show_bug.cgi?id=680113
        - MR22 - Print the selected jobs in atq
          https://build.opensuse.org/package/view_file/Base:System/at/at-3.1.14-joblist.patch?expand=1
        - MR24 - Add O_SYNC option when opening atjob file
  [ Utkarsh Gupta ]
  * MR26 - d/t/{control, basic-usage}: Add DEP8 test

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 29 Jan 2022 17:04:09 +0000

at (3.2.2-1) experimental; urgency=medium

  [ Jose M Calhariz ]
  * New release 3.2.2
    * Jose M Calhariz
      -  Add helper script batch-job
  * New release 3.2.1
    * Jose M Calhariz
      - Include config.h on parsetime.l, see
        88a3bed41de234220f007c785e3aa45bd62446c6 for more info and
        original author.
      - Check if libc provides __isleap() macro, see
        02a0a98d94b24284177dad7747edbdc3088d63cd
  * New release 3.2.0:
    * Jose M Calhariz
      - Print time of new job before the input of the commands,
        (Closes: #863045)
      - Do not drop seconds on -t option, (Closes: #792040)
      - Start using nice levels from 0 instead of 2. (Closes: #519716)
      - Correctly handle DST when specifying a UTC time. (Closes: #364975)
    * Gerhard Poul:
      - Add flag to send email to other user. MR 5
  * Clean patches directory.
  * Update Build-Depends, silent lintian warning.
  * Add public PGP of upstream aka myself.
  * Update debian/watch.
  * Bump Standards-Version to 4.3.0, no changes were made.
  * Acknowledge the NMU and incorporated the changes.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Wrap long lines in changelog entries: 3.1.9.

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 25 Apr 2021 18:36:34 +0100

at (3.1.23-1) unstable; urgency=medium

  * New release 3.1.23:
    - Finished the release script.
  * New release 3.1.22:
    - Draft of a release script.
  * New release 3.1.21:
    - Fix call to fcntl (Closes: #832368).
    - Improvements to ayd.service (Closes: #892819).
    - On reboot remove stale jobs (Closes: #885891).
    - Some fixes on the manual pages (Closes: #897669), (Closes: #897670).
    - Remove no longer valid email from manpages (Closes: #883730).

  * Drop patches accepted by upstream.

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 24 Jul 2018 10:17:21 +0100

at (3.1.20-6) unstable; urgency=medium

  * Fix Vcs-* fields

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 26 May 2018 16:29:58 +0100

at (3.1.20-5) unstable; urgency=medium

  * Previous build was rejected because of wrong orig.tar.gz

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 22 Apr 2018 18:43:25 +0100

at (3.1.20-4) unstable; urgency=medium

  * Acknowledge the NMU and incorporated the changes.
  * Updated email of Maintainer.
  * Move repository to salsa.debian.org.

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 22 Apr 2018 12:57:48 +0100

at (3.1.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate perl dependency with :any (Closes: #848909)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 31 Oct 2017 19:08:59 +0100

at (3.1.20-3) unstable; urgency=medium

  * New version, because the previous one was tagged in error and remote
    repository does not allow to remove tags.

 -- Jose M Calhariz <jose@calhariz.com>  Thu, 08 Dec 2016 19:21:58 +0000

at (3.1.20-2) UNRELEASED; urgency=low

  * Use dh_update_autotools_config.
  * dh_builddeb use xz as default compressor, no need to force it.
  * Add Build-Depend libfl-dev, (Closes: #846413).

 -- Jose M Calhariz <jose@calhariz.com>  Tue, 06 Dec 2016 19:27:45 +0000

at (3.1.20-1) unstable; urgency=low

  * New release 3.1.20:
    * Add option b to getopt, (Closes: #812972).
    * Comment a possible broken code, (Closes: #818508).
    * Add a fflush to catch more errors during writes, (Closes: #801186).
  * New upstream release 3.1.19:
    * Fix configure handling of flag --without-selinux.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Prepare for future hardening flags.
  * Bump source/format to 3.0 (quilt).
  * Update TODO.
  * Canonalize Vcs-*, they were broken.
  * Refresh debian/copyright.
  * Fully personalize debian/gbp.conf.
  * Create a proper watch file, using git mode because I do not know better.
  * Patches for a future version
    * Fix a typo in parsetime.y.
    * Accept Ubuntu patch for pam.conf.

 -- Jose M Calhariz <jose@calhariz.com>  Wed, 29 Jun 2016 22:28:42 +0100

at (3.1.18-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Do not pass the --without-selinux flag on !linux
    architectures, the configure is a little bit fragile and do not cope well
    with it. This should fix the FTBFS on these architectures.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2015 10:44:01 +0100

at (3.1.18-1) unstable; urgency=low

  * Team Upload.
  [ Jose M Calhariz ]
  * New maintainer (Closes: #675322).
    * Thank you Ansgar Burchardt for maintaining at at Debian.
  * One depend by line for easier diffs and changes.
  * Add lintian overrides for secure files and directories.
  * Bump standards version to 3.9.6, no changes needed.
  * Upload to experimental because of GCC 5 transition.
  * Current todo list.
  * Apply patch for reproducible builds, thanks Valentin Lorentz,
    (Closes: #793996).
  * New release 3.1.17
    * Document behaviour when using past time, thanks Kelly Price
      (Closes: #639900).
    * Makefile.in: On distclean remove at.allow.5, auto generated file.
  * New release 3.1.18
    * Add SELinux support to run jobs in the proper domain (Closes: #510466).

  [ Laurent Bigonville ]
  * Do not try to build SELinux support on !linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Mon, 21 Dec 2015 14:25:43 +0100

at (3.1.16-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 30 Sep 2014 08:33:05 +0200

at (3.1.15-1) unstable; urgency=medium

  * New upstream release:
    + pam.conf: require pam_loginuid.so (Closes: #677442)
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 10 Aug 2014 14:03:16 +0200

at (3.1.14-1) unstable; urgency=low

  * New upstream release:
    + No longer try to compile and run a trivial C program. (Closes: #632301)
    + Add systemd service file. (Closes: #639634)

  [ Prach Pongpanich ]
  * Bump debhelper Build-Depends to 9.
  * Bump Standards-Version to 3.9.4.
  * debian/control: Use canonical URI in Vcs-* fields.
  * Update copyright to format 1.0.

  [ Ansgar Burchardt ]
  * Install systemd service file.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 08 Sep 2013 14:52:08 +0200

at (3.1.13-2) unstable; urgency=low

  * Use debhelper compat level 9 (to enable hardening by default).
  * debian/rules: Also enable pie and bindnow hardening features.
  * Use XZ compression for binary packages.
  * Mark binary package as Multi-Arch: foreign. (Closes: #676782)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 09 Jun 2012 13:32:34 +0200

at (3.1.13-1) unstable; urgency=low

  * New upstream release:
    + Remove useless chdir(). (Closes: #587121)
    + Create hardlink as priviledged user. (Closes: #597130)
    + Add support for -r option required by POSIX. (Closes: #616697)
    + Don't abort when job is removed just before we run it. (Closes: #309014)
    + Do not strip binaries on install. (Closes: #436485)
  * Recommend default-mta instead of exim4. (Closes: #542872)
  * debian/control: Add dependency on ${misc:Depends}. (Closes: #586260)
  * debian/control: Remove DM-Upload-Allowed.
  * Update my email address.
  * debian/source/format: Use source format 1.0.
  * debian/copyright: Refer to specific versions of the GPL.
  * Add debian/watch with a comment that Debian is upstream.
  * debian/postinst: use "set -e" instead of "#!/bin/sh -e".
  * debian/rules: Add build-arch, build-indep targets.
  * Bump Standards-Version to 3.9.2.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 25 Jun 2011 15:05:40 +0200

at (3.1.12-1) unstable; urgency=low

  * New upstream release:
    + do not increment year twice (Closes: #404965) (LP: #312051)
    + do not increment day of month twice (Closes: #386665)
    + update documentation on removed environment variables
      (Closes: #335374)
    + add -f option to stay in foreground (Closes: #208367) - thanks to
      Marcela Maslanova <mmaslano@redhat.com>
    + error when day of month is 0 (Closes: #372671)
    + make less assumptations on open file descriptors (Closes: #453707)
    + add status action to init script (Closes: #506829)
    + make stdout, stderr available to sendmail process (Closes: #316442)
    + document -b option (LP: #156493)
    + document 4-digit years and ISO date format (Closes: #359010)
    + add test suite for date/time parser (Closes: #86662)
      - add build-dep on perl (>= 5.10.1) for Test::More 0.92
  * use dh_installinit (Closes: #406359)
  * remove support for upgrading from pre-3.1.9
  * remove rc, pam (moved upstream)
  * remove Cyril Brulebois from Uploaders as requested on IRC
  * now depends on lsb-base (>= 3.2-14) for status_of_proc in init script
  * add dependency on libpam-runtime (>= 1.0.1-11) for
    common-session-noninteractive
  * update debian/copyright
  * bump Standards-Version to 3.8.3 (no changes)
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 30 Nov 2009 20:03:34 +0900

at (3.1.11-1) unstable; urgency=low

  * New "upstream" release:
    + correct comment in atd.c (Closes: #372640)
    + rc: do not set -e (Closes: #445489)
    + panic.c: switch permissions before unlink (Closes: #518456, #538702)
    + at.c: add -t option (Closes: #515262)
    + at.c: exit successfully when -V is given (Closes: #292657)
    + fix some typos (Closes: #491131)
    + set version to 3.1.11 (Closes: #484515)

  [ Cyril Brulebois ]
  * Mark old changelog entries using “Old Changelog”.
  * debian/rules:
    + Stop setting SHELL to bash.
    + Get rid of unneeded checkroot target.
    + Get rid of unneeded local variables.
    + Get rid of lines that are commented out.
    + Get rid of obsolete source and diff targets.
    + Get rid of unneeded dist and dsc targets.
    + Get rid of unneeded variables.
    + Use dh_install to install the config files.
    + Call some dh_* tools at the end of the build.
      - Call dh_md5sum (Closes: #309773)
    + Call dh_install{changelogs,doc} to install docs.
    + Use dh_installman/dh_compress to handle the manpages.
    + Call dh_clean.
    + Simplify calling configure.
    + Use a build-stamp target.
    + Use proper cleaning.
    + Use “sed -i”, that's shorter.
    + Get rid of the copyright, rules got rewritten.
    + No longer make distclean errors.
    + Remove additional removals, dh_clean will do that.
    + Set SENDMAIL= for ./configure instead of using sed
  * debian/control:
    + Build-Depend on debhelper (>= 7).
    + Update Maintainer/Uploaders according to ITA (Closes: #541013).
    + Add Vcs-{Browser,Git} pointing to collab-maint/at.git
  * Remove debian/conffiles, debhelper takes care of that.

  [ Ansgar Burchardt ]
  * debian/rules:
    + use config.{guess,sub} from autotools-dev (Closes: #536294)
    + call configure as documented in autotools-dev (Closes: #480825)
    + call dh_strip
    + remove duplicate ChangeLog
  * debian/control:
    + do no longer build-dep on ssmtp | mail-transport-agent
      (Closes: #524187)
    + downgrade dependency on mail-transport-agent to recommends
      (Closes: #468326)
    + downgrade Priority to standard
    + bump Standards-Version to 3.8.2
  * debian/prerm: do not ignore errors
  * Copy updated debian/copyright from upstream

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 14 Aug 2009 20:24:03 +0200

at (3.1.10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change Depends to include exim4 as alternative to mail-transport-agent.
    (closes: #474999)
  * Change Build-Depends to include ssmtp as alternative to
    mail-transport-agent. This is what the Debian build daemons do anyway.
    (closes: #491877)

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2008 11:11:21 +0200

at (3.1.10.1) unstable; urgency=low

  * Non-maintainer uploaded to fix release goal issue.
  * Correct LSB header of init.d script (Closes: #376780).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Jan 2008 06:15:14 +0100

at (3.1.10) unstable; urgency=low

  * Fix typo in init script (closes: #321141)
  * Allow "at <time> - <number> minutes" to work (closes: #321325)
  * Correct cannot find job logic for atrm (closes: #325253)
  * Rewrite init script using lsb functions (closes: #335307)
  * Correct help for atrm; -q is not supported (closes: #332417)

 -- Ryan Murray <rmurray@debian.org>  Mon,  2 Jan 2006 23:08:51 -0800

at (3.1.9) unstable; urgency=low

  * Apply rewritten parser patch (closes: #70928)
  * Several changes to be more SUSv3 compliant (closes: #133812)
  * Remove yacc/flex generated files, and remove them in the clean target
  * Remove /usr/doc handling from scripts (closes: #261467)
  * use chown with : instead of . (closes: #205523)
  * Add two precisions to format strings (closes: #220336)
  * Fix manpage typos (closes: #153700, #175211)
  * Use --retry option of start-stop-daemon (closes: #84351)
  * Create /var/spool/cron/atjobs/.SEQ in the postinst (closes: #142810)
  * Always rescan the queue after signals (closes: #194674)
  * use 89 11 as parameters to update-rc.d defaults (closes: #200627)
  * hold privs longer when creating pid file (closes: #13603)
  * Add stdio.h for stderr to parsetime.y (closes: #130023)
  * Use invoke-rc.d in maintainer scripts (closes: #162677)
  * Allow usernames > 8 characters.  Don't write out usernames with at that
    atd will later call corrupt (closes: #17561)
  * Run as user daemon, rather than root (from 3.1.8-11ubuntu3) (closes:
    #251058)
    + Derooted /usr/bin/at.
    + at.c:
      - Keep real uid, only switch to daemon gid when unlinking files (the
        directory is daemon-group writeable, but the job files are owned by
        user).
      - Instead of creating the job file and then fchown()'ing it (which does
        not work when running as non-root), change to the real gid when
        creating the file.
    + atd.c:
      - Don't check that the file gid is equal to the execution gid (since job
        files are now always owned by "daemon".
      - setgid() to the user's gid, not to the file gid for job execution.
    + debian/rules:
      - Install /usr/bin/at as daemon:daemon 6555 instead of root:root 4755
        (running as user daemon is necessary to be allowed to send a signal to
         atd.)
      - Install /etc/at.deny as root:daemon 640 instead of root:root 0600.
    + debian/postinst:
      - Make /var/spool/cron/{atjobs,atspool} writeable for group "daemon".
      - Update permissions of /etc/at.{allow,deny} if we upgrade from a previous
        version and there is no statoverride for these files.
  * Update standards version (closes: #239394)
  * Increment tm_mday for at "time" case, rather than hardcoded increment of
    a day in seconds.  (closes: #61604)
  * Print usage on "at -c" (closes: #202617)
  * Increment tm_year when the month and day are earlier than current
    (closes: #79650)
  * Drop ISO timeformat; following SUSv3 instead (closes: #53586)
  * Add optional PAM support based on the submitted patch (closes: #68364)
  * Use AC_FUNC_GETLOADAVG and getloadavg.c from XEmacs, so that the
    system function is used first, then the getloadavg.c from at if it isn't
    available (closes: #269440)
  * Fix permissions of /var/spool/cron/at* in the deb files to match what is
    used now
  * Remove /usr/sbin/atrun; the packaging is set up for running as a daemon.
  * Align batch(1) with SUSv3 by accepting no arguments (closes: #70988)
  * Update description of -v option to clarify that it prints the time
    before the job submission starts (closes: #257074)
  * Update description of submission to uppercase queues (closes: #84791)
  * Update atq format description (closes: #193396)
  * Return EXIT_FAILURE if one jobid fails for -c and -r (closes: #173635)

 -- Ryan Murray <rmurray@debian.org>  Tue,  2 Aug 2005 02:34:45 -0700

at (3.1.8-11) unstable; urgency=high

  * Temporarily taking over this package
  * Incorporate security fix from stable
  * Regenerate y.tab.* (closes: #129561)
  * Apparently you can't find the so called "upstream" version anymore, and
    other distributions list us as upstream, so making it Debian native
    (closes: #129529)
  * Fix typo in atd manpage (closes: #122615)
  * Fix /usr/doc reference in at manpage (closes: #75262)
  * Install prerm script (closes: #127450, #109949)
  * Update build-depends (closes: #89824)
  * Remove suidmanager support (closes: #61868, #74056)
  * Build with -O2

 -- Ryan Murray <rmurray@debian.org>  Fri, 18 Jan 2002 00:13:16 -0800

at (3.1.8-10.1) stable; urgency=high

  * Security upload
  * Removed superflous free() which caused a segv
  * Check for the return value of mktime()

 -- Martin Schulze <joey@infodrom.org>  Sat, 12 Jan 2002 16:22:42 +0100

at (3.1.8-10) frozen unstable; urgency=high

  * Suidunregister /usr/bin (closes: Bug#59421).
  * Rewrote perm.c to correctly deal with single character pw_name and
    incomplete last lines in at.{allow,deny}. Thanks to
    Sotiris.Vassilopoulos@betatech.gr for pointing this out.
  * Included patch by Florian Zumbiehl <florz@gmx.de> adding some
    read-only variables to no_export.
  * SIGCHLD handler now correctly loops on a non-blocking waitpid.
    Hopefully this gets rid of zombies even on SMP systems
    (closes: Bug#60549).
  * Changed AC_FUNC_GETLOADAVG to AC_REPLACE_FUNCS(getloadavg) in
    configure.in since it introduces a spurious depencency on libelfg0
    whenever that package is installed on the build machine.
    (closes: Bug#61295).
  * configure.in: rewrote directory tests such that configure fails due to
    a missing SPOOLDIR only when --with-jobdir or --with-atspool doesn't
    specify an explicit path.

 -- Siggy Brentrup <bsb@winnegan.de>  Mon,  3 Apr 2000 13:56:47 +0200

Old Changelog:

at (3.1.8-9) frozen unstable; urgency=low, closes=53715 56047 56607 55560 55514

  * Added SIGCHLD handler to release zombies (closes 53715 56047 56607)
  * Changed dependency to mail-transport-agent only since /usr/bin/mail
    doesn't grok the Subject: line. (closes 55560)
  * Fixed postinst to suidregister /usr/bin/at (closes 55514)

 -- Siggy Brentrup <bsb@winnegan.de>  Sun, 30 Jan 2000 22:00:46 +0100

at (3.1.8-8) unstable; urgency=low

  * New maintainer (according to Joey this is an upstream job too :)
  * Upgrade to standards version 3.1.1.1

 -- Siggy Brentrup <bsb@winnegan.de>  Tue, 11 Jan 2000 10:08:06 +0100

at (3.1.8-7.1) unstable; urgency=low

  * Non-maintainer release, with permission.
  * Corrected patch for Bug#39527 so that it doesn't ignore all pending jobs.
    (closes: #49708, #49739, #50984).

 -- Richard Braakman <dark@xs4all.nl>  Thu, 25 Nov 1999 23:32:43 +0100

at (3.1.8-7) unstable; urgency=low, closes=38293 25070 39527 38293 43032 38962 42469

  * Changed load average to run to 1.5 (closes: Bug#38293)
  * Unignored SIGCHLD (closes: Bug#25070)
  * Applied patch from Zack Weinberg <zack@rabi.columbia.edu> that keeps
    atd from spinning the disk (closes: Bug#39527)
  * Added support for arguments to /etc/init.d/atd (closes: Bug#38293)
  * Reworked the date parser so it will recognize 2345 and 102900
    properly, 12900 as well (closes: Bug#43032, Bug#38962)
  * Corrected weekday parser (closes: Bug#42469)
  * Corrected path in atrun(8).

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 28 Oct 1999 00:05:52 +0200

at (3.1.8-6) unstable; urgency=low, closes=34919 36628 36650

  * Added text -x atd to init.d file (closes: Bug#34919)
  * Added parsetest target to Makefile.in to provide a test program
  * Hax0red the date/time parser so it parses the date properly,
    especially when specifying a year (closes: Bug#36628)
  * Added -M (don't send mail at all) feature to at client and at server
    (closes: Bug#36650)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 23 May 1999 18:15:33 +0200

at (3.1.8-5) unstable; urgency=low, closes=30796 29843

  * Added proper support for time specified with AM/pm.  Thanks to Julian
    Gilbey <jdg@maths.qmw.ac.uk> (closes: Bug#30796)
  * Added more system accounts to at.deny file (closes: Bug#29843)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  3 Jan 1999 17:02:56 +0100

at (3.1.8-4) unstable; urgency=low, closes=27414 19272 24943 11633 17131 27872 26917 25227 23141 21528 18181

  * Applied OpenBSD/buflen patch provided by Topi Miettinen
    <tom@medialab.sonera.net> (closes: Bug#27414)
  * Corrected at_allow(5) manpage (closes: Bug#24943)
  * Moved /bin/sh warning in front of input stream (closes: Bug#11633)
  * Added prototype for yylex() and yyerror() (closes: Bug#17131)
  * Corrected recognition of weekdays (closes: Bug#27872, Bug#26917, Bug#18181)
  * Reformatted some "SEE ALSO" section.
  * Adjusted Usage output of atq according to code and manpage.  `-v' is
    not supported anymore. (closes: Bug#25227, Bug#21528)
  * Re-added support for atq displaying the owner of the atjob.  I dunno
    if the author would accept it if he would appear again, though.
    (closes: Bug#23141)
  * Removed preinst
  * Documented problem with NFS-mounted spool directories (Bug#13603 and
    Bug#13605)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 24 Oct 1998 12:59:08 +0200

at (3.1.8-3) unstable; urgency=low, closes=19272 14529 15812 16429 16581 25981 25982

  * New maintainer
  * Updated Standards-Version
  * Rewrote rules file
  * Fixed manpages
  * Renamed copyright (closes: Bug#14529, fixes: Bug#16429)
  * Fixed misspelled files in /usr/doc/at (fixes: Bug#16429)
  * Adjusted copyright file
  * Added /etc/init.d/atd as conffile
  * Completed init.d script
  * Aded --with-jobdir and --with-atspool so it builds on systems where it
    isn't installed as well (closes: Bug#15812)
  * Corrected location of sendmail (closes: Bug#16429)
  * Fixed preinst (closes: Bug#16581)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 23 Oct 1998 20:54:46 +0200

at (3.1.8-2.1.1) unstable; urgency=low

  * Non maintainer upload.
    config.{guess,sub} changed to recognize a Arm architecture.

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 20 Aug 1998 04:48:23 -0400

at (3.1.8-2.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Provides correct name of copyright file, fixing important bug
    #19272

 -- John Goerzen <jgoerzen@complete.org>  Sat, 18 Apr 1998 23:59:28 -0500

at (3.1.8-2) unstable; urgency=medium
  * libc6 version
  * (as in -1) Fix date parsing bug with 'next monday' where the current day
  *   is Mondy
  * Fix date parsing bug with February
  * Misc. manpage changes
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Mon, 29 Sep 1997 17:21:40 +0200

at (3.1.8-1) stable; urgency=low
  * ../at_3.1.7-6_i386.deb
  *
  * libc5 version
  * Fix date parsing bug with 'next monday' where the current day is monday
  * Fix date parsing bug with February
  * Misc. manpage changes
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Sun, 28 Sep 1997 21:33:44 +0200

at (3.1.7-6) unstable; urgency=high
  * ../at_3.1.7-4_i386.deb
  *
  * libc6 version
  * should fix installation bugs
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Mon, 22 Sep 1997 20:26:05 +0200

at (3.1.7-5) stable; urgency=low
  * ../at_3.1.7-5_i386.deb
  *
  * libc5 version
  * Make runlevel detection more robust
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Mon, 22 Sep 1997 15:48:55 +0200

at (3.1.7-4) unstable; urgency=high
  * ../at_3.1.7-4_i386.deb
  *
  * libc6 version
  * removes spurious dependency on libelf
  * Start atd if runlevel cannot be determined
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Tue, 15 Sep 1997 14:16:24 +0200

at (3.1.7-3) stable; urgency=low
  * ../at_3.1.7-3_i386.deb
  *
  * libc5 version
  * removed spurious dependendy on libelf0
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Tue, 17 Jun 1997 18:01:33 +0200

at (3.1.7-2) unstable; urgency=low
  * ../at_3.1.7-2_i386.deb
  * Recompiled for libc6 (hamm)
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Sat, 14 Jun 1997 21:01:17 +0200

at (3.1.7-1) unstable frozen; urgency=medium
  * ../at_3.1.7-1_i386.deb
  * Make upcase words work
  * Start atd if runlevel can't be determined
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Mon, 26 May 1997 10:38:06 +0200

at (3.1.6-1) unstable frozen; urgency=medium
  * ../at_3.1.6-1_i386.deb
  * Fix broken "noon", "teatime" and "midnight"
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Tue, 13 May 1997 14:50:40 +0200

at (3.1.5-2) unstable frozen; urgency=high

  *
  * ../at_3.1.5-2_i386.deb
  * Also check for /etc/suid.conf when calling suidregister
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Wed, 7 May 1997 11:14:49 +0200

at (3.1.5-1) unstable frozen; urgency=high

  * ../at_3.1.5-1_i386.deb
  * New "upstream" release:  Fixes bug #9390
  * Removed "set -e" from prerm in an effort to fix #9311
  * From now on, changelog will be more canonical (#9236)
 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Tue, 6 May 1997 19:50:02 +0200

at (3.1.4-2) unstable frozen; urgency=low

  * ../at_3.1.4-2_i386.deb
  * Start atd in postinst only if runlevel is right (bug #9073)
  * Fixed extra space in /etc/init.d/atd (bug #9046)

at (3.1.4-1) unstable frozen; urgency=low

  * ../at_3.1.4-1_i386.deb
  * New "upstream" release

at (3.1.3-1) unstable frozen; urgency=low

  * ../at_3.1.3-2_i386.deb
  * make distclean on debian/rules clean
  * depend on mail-transport-agent or mailx

at (3.1.3-1) unstable frozen; urgency=low

  * ../at_3.1.3-1_i386.deb
  * New "upstream release", bug #8716 fixed

at (3.1.2-2) unstable; urgency=low

  * ../at_3.1.2-2_i386.deb
  * adapted aj's /etc/init.d/atd (bug #8501)
  * Fix bug #8495 (exit preinst cleanly when no /etc/crontab)
  * Fix bug #7936 (for real this time)

at (3.1.2-1) unstable; urgency=low

  * ../at_3.1.2-1_i386.deb
  * Fixed bug #8189 (prerm/postrm failure).
  * New "upstream" version.

at (3.1.1-1) unstable; urgency=low

  * ../at_3.1-1_i386.deb
  * Fixed bug #7936 and #7808

at (3.0-1) unstable; urgency=low

  * ../at_3.0-1_i386.deb
  * Initial Release.

 -- Thomas Koenig <ig25@rz.uni-karlsruhe.de>  Thu, 20 Feb 1997 17:33:12 +0100
